Bug 169921 - Browser does not load anything for 2.6.12-1.1378_FC3
Browser does not load anything for 2.6.12-1.1378_FC3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 02:25 EDT by pityq
Modified: 2015-01-04 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
content of dmesg (14.89 KB, text/plain)
2005-10-06 17:18 EDT, pityq
no flags Details

  None (edit)
Description pityq 2005-10-05 02:25:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc3 Firefox/1.0.6

Description of problem:
I made an upgrade from kernel-2.6.9-1.667 to kernel-2.6.12-1.1378_FC3. 
After this the WEB Browser did not load anything. 
(http://www.fedoraforum.org/forum/showthread.php?t=78808)

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1378_FC3

How reproducible:
Always

Steps to Reproduce:
1.Make a kernel update to kernel-2.6.12-1.1378_FC3
2.Try to open a web page (Foxfire, Mozilla)
3.
  

Additional info:
Comment 1 Dave Jones 2005-10-06 04:05:37 EDT
did you upgrade the other packages too, or just the kernel ?

what does the output of route -n look like ?
Comment 2 pityq 2005-10-06 15:18:37 EDT
I made two upgrades, one with all the packages available at that moment and one
when I upgraded only the kernel. In both cases I got the same behaviour.
Result of the route:

[root@81-196-140-139 ~]# route -n
Kernel IP routing table
Destination      Gateway        Genmask          Flags   Metric Ref Use Iface
81.196.140.128   0.0.0.0        255.255.255.128  U       0      0   0   eth0
169.254.0.0      0.0.0.0        255.255.0.0      U       0      0   0   eth0
0.0.0.0          81.196.140.254 0.0.0.0          UG      0      0   0   eth0
[root@81-196-140-139 ~]#


The network config is ok because if I ping any webpage by name it respondes.
I tryed this too:

$ telnet fedora.redhat.com 80
Trying 209.132.177.50...
telnet: connect to address 209.132.177.50: Permission denied
telnet: Unable to connect to remote host: Permission denied
Comment 3 Dave Jones 2005-10-06 15:54:17 EDT
is there anything in dmesg after a failure ?  An Selinux denial msg perhaps ?
Comment 4 pityq 2005-10-06 17:18:34 EDT
Created attachment 119689 [details]
content of dmesg
Comment 5 pityq 2005-10-06 17:21:39 EDT
I can't see errors in the dmesg but anyway I attched it.
I saw some errors in the sytem log after I try to go to a web page:

Oct  6 23:07:52 81-196-140-139 kernel: audit(1128632872.584:47):avc:  denied  {
name_connect } for  pid=4676 comm="rhn-applet-gui" dest=80
context=root:system_r:unconfined_t tcontext=system_u:object_r:http_port_t    
tclass=tcp_socket

Oct  6 23:07:52 81-196-140-139 kernel: audit(1128632872.584:48):avc:  denied  {
name_connect } for  pid=4676 comm="rhn-applet-gui" dest=80
context=root:system_r:unconfined_t tcontext=system_u:object_r:http_port_t
tclass=tcp_socket
Comment 6 pityq 2005-10-26 14:04:14 EDT
Any news on this? I made the upgrade to kernel-2.6.12-1.1380_FC3 and I have 
the same issue.
Comment 7 Dave Jones 2005-10-27 20:19:46 EDT
What's really strange is that yours is the only report like this I've seen.

I've added our selinux folks to the Cc. maybe they have ideas.
The rhn-applet got a denial, but its odd that firefox didn't, even though it too
seems to be getting denied.

Dan? James?
Comment 8 Daniel Walsh 2005-10-28 07:16:40 EDT
FC3 policy does not understand name_connect.  So this is going to fail, perhaps
unconfined_t is failing so all connections are going to fail.  I will update
policy now.
Comment 9 Daniel Walsh 2005-10-28 07:22:08 EDT
Also are all domains about to get execmem and execmod problems?

Comment 10 Daniel Walsh 2005-10-28 07:58:36 EDT
Looking at the policy, all of these things are in there, has the user updated to
the latest selinux policy for FC3?

Dan
Comment 11 pityq 2005-11-02 12:38:29 EST
How can I check that? I made a kernel update, did this make update for selinux 
policy?
Comment 12 Daniel Walsh 2005-11-03 09:09:41 EST
rpm -q selinux-policy-targeted
Comment 13 pityq 2005-11-03 13:24:09 EST
The result is: selinux-policy-targeted-1.17.30-3.16
Comment 14 pityq 2005-11-16 11:55:55 EST
Is there any update on what I should do to be able to update my FC3? Thanks.
Comment 15 Daniel Walsh 2005-11-16 12:50:00 EST
Try 	selinux-policy-targeted-1.17.30-3.19 in Fedora-test

Comment 16 pityq 2005-11-17 16:58:30 EST
I installed selinux-policy-targeted-1.17.30-3.19, now for rpm -q
selinux-policy-targeted I receive:

selinux-policy-targeted-1.17.30-3.16
selinux-policy-targeted-1.17.30-3.19

but I still have the same issue. I still can´t load any webpage.




Comment 17 Daniel Walsh 2005-11-18 10:45:59 EST
This looks like the update did not complete successfully policy 16 should have
been removed.  Could you try and to update policy again with a 
rpm --force.  

Also do you have selinux-policy-targeted-sources installed?

If so 

execute 

make -C /etc/selinux/targeted/src/policy reload
Comment 18 pityq 2005-11-22 14:44:15 EST
I tryed to install the rpm again with --force. I did not receive any error
message but when I run rpm -q I can see both sepolicies.
I also tryed to install the src rpm and the installation looked fine but when I
checked with rpm -q I found only the 1.17.30-3.16 sources there.
Comment 19 fhanner 2005-12-18 15:50:11 EST
Has any progress been made on this bug?  I also experienced the same problem as
pityq after upgrading my kernel.  I suspect that SELinux is not cause because
the connection problem persists even when I turned off SELinux.  If I make no
other changes to the system, when booting with kernel 2.6.9-1.667 or
2.6.10-1.770, everything works great.  Booting with any kernel higher than
2.6.10-1.770 results in not being able to browse the web.  If there's a
solution, I'd love to know.
Comment 20 Dave Jones 2006-01-16 17:36:19 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 21 Dave Jones 2006-02-03 00:37:58 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 22 John Thacker 2006-05-04 21:40:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.